import {BaseConfig} from "./abstract/baseConfig.model";
import {Deserialize} from "./util/deserialize.model";
import {Serialize} from "./util/serialize.model";
import {PegjsService} from "../services/pegjs.service";

export class TribeLogConfigModel extends BaseConfig implements Deserialize {
  public MaxRedisEntries: number = 1000;

  public deserialize(raw: any): this {
    Object.assign(this, raw);
    return this;
  }
}
